OGRE: Ogre::cbitset32< _N > Class Template Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::cbitset32< _N > Class Template Reference
Core

This is similar to std::bitset, except waaay less bloat. More...

`#include <OgreBitset.h>`

Inheritance diagram for Ogre::cbitset32< _N >:
[legend]

## Public Member Functions
size_t | capacity () const
| Return maximum number of bits this bitset can hold. More...
void | clear ()
| Sets all bits to 0. More...
uint32 | numBitsSet (size_t positionEnd) const
| Returns the number of bits that are set between range [0; positionEnd). More...
void | set (size_t position)
| Sets bit at 'position' to 1. More...
void | setAll ()
| Sets all bits to 1. More...
void | setValue (size_t position, bool bValue)
| Sets bit at 'position'. More...
bool | test (size_t position) const
| Returns true if bit at 'position' is 1. More...
void | unset (size_t position)
| Sets bit at 'position' to 0. More...

## Detailed Description

### template<size_t _N>
class Ogre::cbitset32< _N >

This is similar to std::bitset, except waaay less bloat.

cbitset32 stands for constant/compile-time bitset with an internal representation of 32-bits

## Member Function Documentation

## ◆ capacity()

size_t Ogre::cbitsetN< _N, uint32 , _bits, _mask >::capacity
| inlineinherited

Return maximum number of bits this bitset can hold.

## ◆ clear()

void Ogre::cbitsetN< _N, uint32 , _bits, _mask >::clear | ( | void |  | ) |
| inlineinherited

Sets all bits to 0.

## ◆ numBitsSet()

uint32 Ogre::cbitsetN< _N, uint32 , _bits, _mask >::numBitsSet | ( | size_t | positionEnd | ) | const
| inlineinherited

Returns the number of bits that are set between range [0; positionEnd).

## ◆ set()

void Ogre::cbitsetN< _N, uint32 , _bits, _mask >::set | ( | size_t | position | ) |
| inlineinherited

Sets bit at 'position' to 1.

Parameters

  position | Value in range [0; _N)

## ◆ setAll()

void Ogre::cbitsetN< _N, uint32 , _bits, _mask >::setAll
| inlineinherited

Sets all bits to 1.

## ◆ setValue()

void Ogre::cbitsetN< _N, uint32 , _bits, _mask >::setValue | ( | size_t | position,
|  | bool | bValue
| ) |  |
| inlineinherited

Sets bit at 'position'.

Parameters

  position | Value in range [0; _N)
  bValue |

## ◆ test()

bool Ogre::cbitsetN< _N, uint32 , _bits, _mask >::test | ( | size_t | position | ) | const
| inlineinherited

Returns true if bit at 'position' is 1.

Parameters

  position | Value in range [0; _N)

## ◆ unset()

void Ogre::cbitsetN< _N, uint32 , _bits, _mask >::unset | ( | size_t | position | ) |
| inlineinherited

Sets bit at 'position' to 0.

Parameters

  position | Value in range [0; _N)

The documentation for this class was generated from the following file:

- OgreBitset.h